package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataSyncOut2;
import com.sa.ibiz.demo.demo.service.dto.DataSyncOut2SearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataSyncOut2] 服务对象接口
 */
public interface DataSyncOut2Service extends IService<DataSyncOut2>{

	boolean create(DataSyncOut2 et);
	boolean getDraft(DataSyncOut2 et);
		DataSyncOut2 get(DataSyncOut2 et);
	boolean remove(DataSyncOut2 et);
	boolean checkKey(DataSyncOut2 et);
	boolean update(DataSyncOut2 et);
    List<DataSyncOut2> listDefault(DataSyncOut2SearchFilter filter) ;
	Page<DataSyncOut2> searchDefault(DataSyncOut2SearchFilter filter);
	/**	 实体[DataSyncOut2] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }